import java.awt.*;
import java.awt.event.*;
import java.applet.*;
import java.lang.*;

public class ObliqueGraphCanvasB extends GraphCanvasB{
    private static final Color bgcolor = new Color(236,236,236);
    //private static final Color bgcolor = new Color(170,240,240);
    private Image im;
    private Graphics buf;
    private Oblique_State state;
    private static final int LeftMargin=10, RightMargin=10, TopMargin=10, BottomMargin=10;
    
    
    public ObliqueGraphCanvasB(Oblique_State state){
	
	super();
	this.state = state;
	setBackground(bgcolor);
	//setYRangeMax(1.0);
	//setYRangeMin(0.0);
	plotZeroLine(true);
	plotRefPoint(true);
	setLabels("Electric Field - Reflection Coefficient","\u0393 ( E )","Angle of Incidence");
	setRefPoint(state.theta1*1800.0/Math.PI);
	plot(state.x_deg,state.refCR_array,state.refCI_array);
        //plot(state.x_deg,state.ref_array);
   }
   
}
